## gqcam-0.9.1.tar.bz2

=== Makefile ===
#
CC = gcc
LD = $(CC)

LDFLAGS = `gtk-config --libs gthread` -ljpeg -lpthread -lpng

PROG = gqcam
VERSION = 0.9.1

CFLAGS = -g `gtk-config --cflags`
INCLUDES = 
OBJS = 

all: config.h $(PROG)

config.h: Makefile
	echo "#define VERSION \"${VERSION}\"" > config.h

clean:
	rm -f config.h $(PROG) *.o *.core core *.bak *~

dist: gqcam.c gqcam.h frontend.c frontend.h color.c color.h greyscale.c \
      greyscale.h save.c save.h jpeg.h jpeg.c yuv_to_rgb.h yuv_to_rgb.c \
      CHANGES COPYING INSTALL Makefile README
	mkdir ../$(PROG)-$(VERSION)
	cp gqcam.c ../$(PROG)-$(VERSION)/
	cp gqcam.h ../$(PROG)-$(VERSION)/
	cp frontend.c ../$(PROG)-$(VERSION)/
	cp frontend.h ../$(PROG)-$(VERSION)/
	cp preferences.c ../$(PROG)-$(VERSION)/
	cp preferences.h ../$(PROG)-$(VERSION)/
	cp color.c ../$(PROG)-$(VERSION)/
	cp color.h ../$(PROG)-$(VERSION)/
	cp greyscale.c ../$(PROG)-$(VERSION)/
	cp greyscale.h ../$(PROG)-$(VERSION)/
	cp save.c ../$(PROG)-$(VERSION)/
	cp save.h ../$(PROG)-$(VERSION)/
	cp timer.c ../$(PROG)-$(VERSION)/
	cp timer.h ../$(PROG)-$(VERSION)/
	cp filters.c ../$(PROG)-$(VERSION)/
	cp filters.h ../$(PROG)-$(VERSION)/
	cp jpeg.h ../$(PROG)-$(VERSION)/
	cp jpeg.c ../$(PROG)-$(VERSION)/
	cp yuv_to_rgb.h ../$(PROG)-$(VERSION)/
	cp yuv_to_rgb.c ../$(PROG)-$(VERSION)/
	cp CHANGES ../$(PROG)-$(VERSION)/
	cp TODO ../$(PROG)-$(VERSION)/
	cp COPYING ../$(PROG)-$(VERSION)/
	cp INSTALL ../$(PROG)-$(VERSION)/
	cp Makefile ../$(PROG)-$(VERSION)/
	cp README ../$(PROG)-$(VERSION)/
	cp README.threads ../$(PROG)-$(VERSION)/
	tar cvzf ../$(PROG)-$(VERSION).tar ../$(PROG)-$(VERSION)/

gqcam: gqcam.o frontend.o color.o greyscale.o save.o timer.o filters.o \
       preferences.o jpeg.o yuv_to_rgb.o
	$(LD) $(LDFLAGS) gqcam.o frontend.o save.o color.o greyscale.o \
	timer.o filters.o preferences.o jpeg.o yuv_to_rgb.o -o gqcam 

greyscale.o: greyscale.c gqcam.h frontend.h greyscale.h
	$(CC) $(CFLAGS) -c greyscale.c

color.o: color.c gqcam.h frontend.h color.h
	$(CC) $(CFLAGS) -c color.c

preferences.o: preferences.c preferences.h gqcam.h frontend.h save.h color.h \
               greyscale.h timer.h
	$(CC) $(CFLAGS) -c preferences.c

frontend.o: frontend.c frontend.h gqcam.h preferences.h save.h color.h \
            greyscale.h timer.h
	$(CC) $(CFLAGS) -c frontend.c

timer.o: timer.c timer.h gqcam.h save.h
	$(CC) $(CFLAGS) -c timer.c

save.o: save.c save.h gqcam.h frontend.h timer.h
	$(CC) $(CFLAGS) -c save.c

filters.o: filters.c filters.h gqcam.h
	$(CC) $(CFLAGS) -c filters.c

jpeg.o: jpeg.c jpeg.h
	$(CC) $(CFLAGS) -c jpeg.c

yuv_to_rgb.o: yuv_to_rgb.c yuv_to_rgb.h
	$(CC) $(CFLAGS) -c yuv_to_rgb.c
gqcam.o: gqcam.c gqcam.h
	$(CC) $(CFLAGS) -c gqcam.c

=== debian/changelog ===
gqcam (0.9.1-3) unstable; urgency=low

  * xlibs-dev transition.
  * Many thanks to Victor Seva for the patch that cleans
    Depends and Build-Depends.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 17 Dec 2005 12:55:19 +0100

gqcam (0.9.1-2) unstable; urgency=low

  * Patched gqcam.c to fix saving preferences when $HOME not
    defined or the file is not available. (Closes: #339701)
    Thanks Pierre Pronchery for finding out and the patch.
  * Bumped Standards-Version to 3.6.2.0, no change.
  * Moved to debhelper compatibility 4. Created debian/compat.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 18 Nov 2005 09:11:27 +0100

gqcam (0.9.1-1) unstable; urgency=low

  * New upstream release, thanks Giansalvo Gusinu.
    Adds support for YUV420P. (Closes: #143579)
  * Updated debian/copyright with new upstream author.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon,  4 Apr 2005 08:08:59 +0200

gqcam (0.9+gg-1) unstable; urgency=low

  * New upstream version by Giansalvo Gusinu, adds suport for
    JPEG cameras. Downloaded from http://gusinu.net/
  * Changed maintainer email address.
  * Added icon="camera" to menu file. (Closes: #244487)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 30 Jan 2005 11:23:50 +0100

gqcam (0.9-2) unstable; urgency=low

  * Added patch to report correct file name in error message.
    Thanks Christian Häggström. (Closes: #234135)
  * Bumped Standards-Version to 3.6.1. No change
  * Make package lintian clean (mostly clean ups in Depends)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Mon, 23 Feb 2004 11:06:39 +0100

gqcam (0.9-1) unstable; urgency=low

  * Initial Release. (Closes: #102922)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Fri, 29 Jun 2001 17:13:32 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gqcam
Section: graphics
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev, libpng12-dev, libjpeg62-dev
Standards-Version: 3.6.2.0

Package: gqcam
Architecture: any
Depends: ${shlibs:Depends}
Description: GTK Webcam control
 Gqcam  is a program originally created to pull frames from
 a greyscale Connectix QuickCam, but that has grown into  a
 frame  grabber for most any Video4Linux compatible webcam-
 like camera.  It should work with any camera that supports
 the read() method of grabbing frames.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/gqcam.sgml > gqcam.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gqcam.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/gqcam
	install -p -g root -o root -m 755 gqcam debian/gqcam/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman  debian/gqcam.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
